--
-- shuttleReverser
-- Specialization for a Power Shift shuttleReverser.
--
-- @author  Templaer
-- @date  25/04/09
--
-- Copyright (C) Templaer

shuttleReverser = {};

function shuttleReverser.prerequisitesPresent(specializations)
    return true;
end;

function shuttleReverser:load(xmlFile)
    self.reverse = false;
end;

function shuttleReverser:delete()
end;

function shuttleReverser:mouseEvent(posX, posY, isDown, isUp, button)
end;

function shuttleReverser:keyEvent(unicode, sym, modifier, isDown)
end;

function shuttleReverser:update(dt)
	
    if self.isMotorStarted then	
        if self:getIsActiveForInput() then
	        if InputBinding.hasEvent(InputBinding.CAT_REVERSE) then
		        self.reverse = not self.reverse;
            end;
	    end;
	
	    if self.isEntered then
            local acceleration = 0;
            if g_currentMission.allowSteerableMoving and not self.playMotorSound then
                acceleration = -InputBinding.getAnalogInputAxis(InputBinding.AXIS_MOVE_FORWARD_VEHICLE);
if InputBinding.isAxisZero(acceleration) then
acceleration = -InputBinding.getDigitalInputAxis(InputBinding.AXIS_MOVE_FORWARD_VEHICLE);
end
                if math.abs(acceleration) > 0.8 then
                    self.motor:setSpeedLevel(0, true)
                end;
                if self.motor.speedLevel ~= 0 and not self.reverse then
                    acceleration = 1.0;
		    	elseif self.motor.speedLevel ~= 0 and self.reverse then
			        acceleration = -1.0;
                end;
		    end;
		
            if self.steeringEnabled then		
                if self.firstTimeRun then
                    WheelsUtil.updateWheelsPhysics(self, dt, self.lastSpeed, acceleration, false, self.requiredDriveMode)
                end;	
            end;			
	    end;
	end;
end;

function shuttleReverser:draw()
    --[[if self.isMotorStarted then
        if self.reverse then
            g_currentMission:addHelpButtonText(g_i18n:getText("FendtshuttleReverser1"), InputBinding.REVERSE);
	    else
            g_currentMission:addHelpButtonText(g_i18n:getText("FendtshuttleReverser2"), InputBinding.REVERSE);	
	    end;
	end;]]
end;

